"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constraintSchema = void 0;
const zod_1 = require("zod");
exports.constraintSchema = zod_1.z.object({
    max_path_length: zod_1.z.number().optional(),
    naming_constraints: zod_1.z
        .object({
        permitted: zod_1.z.array(zod_1.z.string()).optional(),
        excluded: zod_1.z.array(zod_1.z.string()).optional(),
    })
        .optional(),
    allowed_entity_types: zod_1.z
        .array(zod_1.z.string().refine((s) => s !== 'federation_entity', {
        message: `Value cannot be "federation_entity"`,
    }))
        .optional(),
});
//# sourceMappingURL=constraints.js.map