import type { SignCallback } from '../utils';
import { type EntityConfigurationClaimsOptions } from './entityConfigurationClaims';
import { type EntityConfigurationHeaderOptions } from './entityConfigurationHeader';
export type CreateEntityConfigurationOptions = {
    claims: EntityConfigurationClaimsOptions;
    header: EntityConfigurationHeaderOptions;
    signJwtCallback: SignCallback;
};
/**
 *
 * Create an entity configuration
 *
 * The signing callback will be called with the `header.kid` value in the `claims.jwks.keys` and a signed JWT will be returned
 *
 */
export declare const createEntityConfiguration: ({ header, signJwtCallback, claims, }: CreateEntityConfigurationOptions) => Promise<string>;
