import { type JsonWebKey } from '../jsonWeb';
import type { SignCallback } from '../utils';
import { type EntityStatementClaimsOptions } from './entityStatementClaims';
import { type EntityStatementHeaderOptions } from './entityStatementHeader';
export type CreateEntityStatementOptions = {
    claims: EntityStatementClaimsOptions;
    header?: EntityStatementHeaderOptions;
    signJwtCallback: SignCallback;
    /**
     *
     * The Json Web Key of the issuer used for signing the statement about the subject
     *
     */
    jwk: JsonWebKey;
};
/**
 *
 * Create an entity statement
 *
 * The signing callback will be called with the `header.kid` value in the `claims.jwks.keys` and a signed JWT will be returned
 *
 */
export declare const createEntityStatement: ({ signJwtCallback, claims, jwk, header, }: CreateEntityStatementOptions) => Promise<string>;
