"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openIdProviderEntityMetadata = void 0;
const zod_1 = require("zod");
const utils_1 = require("./utils");
/**
 *
 * {@link https://openid.net/specs/openid-federation-1_0.html#section-5.1.3-1 | openID Provider}
 *
 */
exports.openIdProviderEntityMetadata = (0, utils_1.createEntity)({
    identifier: 'openid_provider',
    additionalValidation: {
        client_registration_types_supported: zod_1.z.array(zod_1.z.string()),
        federation_registration_endpoint: zod_1.z.string().url().optional(),
        request_authentication_methods_supported: zod_1.z
            .object({
            authorization_endpoint: zod_1.z.array(zod_1.z.string()).optional(),
            pushed_authorization_request_endpoint: zod_1.z.array(zod_1.z.string()).optional(),
        })
            .optional(),
        request_authentication_signing_alg_values_supported: zod_1.z.array(zod_1.z.string()).optional(),
    },
});
//# sourceMappingURL=openIdProvider.js.map