"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetadataMergeStrategy = void 0;
var MetadataMergeStrategy;
(function (MetadataMergeStrategy) {
    /**
     *
     * Allowed only when the operator values are equal. If not, this MUST result in a policy error.
     *
     */
    MetadataMergeStrategy[MetadataMergeStrategy["OperatorValuesEqual"] = 0] = "OperatorValuesEqual";
    /**
     *
     * The result of merging the values of two these operators is the union of the operator values.
     *
     */
    MetadataMergeStrategy[MetadataMergeStrategy["Union"] = 1] = "Union";
    /**
     *
     * The result of merging the values of two these operators is the intersection of the operator values. If the intersection is empty, this MUST result in a policy error.
     *
     */
    MetadataMergeStrategy[MetadataMergeStrategy["Intersection"] = 2] = "Intersection";
    /**
     *
     * If a Superior has specified essential=true, then a Subordinate MUST NOT change that. If a Superior has specified essential=false, then a Subordinate is allowed to change that to essential=true. If a Superior has not specified essential, then a Subordinate can set essential to true or false. If those conditions are not met, this MUST result in a policy error.
     *
     */
    MetadataMergeStrategy[MetadataMergeStrategy["SuperiorFollowsIfTrue"] = 3] = "SuperiorFollowsIfTrue";
})(MetadataMergeStrategy || (exports.MetadataMergeStrategy = MetadataMergeStrategy = {}));
//# sourceMappingURL=MetadataMergeStrategy.js.map