"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultOperatorSchema = exports.defaultOperator = void 0;
const zod_1 = require("zod");
const MetadataMergeStrategy_1 = require("../MetadataMergeStrategy");
const MetadataOrderOfApplication_1 = require("../MetadataOrderOfApplication");
const utils_1 = require("../utils");
exports.defaultOperator = {
    key: 'default',
    parameterJsonValues: [
        zod_1.z.string(),
        zod_1.z.number(),
        zod_1.z.boolean(),
        zod_1.z.record(zod_1.z.string().or(zod_1.z.number()), zod_1.z.unknown()),
        zod_1.z.array(zod_1.z.unknown()),
    ],
    operatorJsonValues: [
        zod_1.z.string(),
        zod_1.z.number(),
        zod_1.z.boolean(),
        zod_1.z.record(zod_1.z.string().or(zod_1.z.number()), zod_1.z.unknown()),
        zod_1.z.array(zod_1.z.unknown()),
    ],
    canBeCombinedWith: ['add', 'one_of', 'subset_of', 'superset_of', 'essential'],
    orderOfApplication: MetadataOrderOfApplication_1.MetadataOrderOfApplication.AfterAdd,
    mergeStrategy: MetadataMergeStrategy_1.MetadataMergeStrategy.OperatorValuesEqual,
};
exports.defaultOperatorSchema = (0, utils_1.createPolicyOperatorSchema)(exports.defaultOperator);
//# sourceMappingURL=default.js.map