"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subsetOfOperatorSchema = exports.subsetOfOperator = void 0;
const zod_1 = require("zod");
const MetadataMergeStrategy_1 = require("../MetadataMergeStrategy");
const MetadataOrderOfApplication_1 = require("../MetadataOrderOfApplication");
const utils_1 = require("../utils");
exports.subsetOfOperator = {
    key: 'subset_of',
    parameterJsonValues: [
        zod_1.z.array(zod_1.z.string()),
        zod_1.z.array(zod_1.z.record(zod_1.z.string().or(zod_1.z.number()), zod_1.z.unknown())),
        zod_1.z.array(zod_1.z.number()),
    ],
    operatorJsonValues: [
        zod_1.z.array(zod_1.z.string()),
        zod_1.z.array(zod_1.z.record(zod_1.z.string().or(zod_1.z.number()), zod_1.z.unknown())),
        zod_1.z.array(zod_1.z.number()),
    ],
    canBeCombinedWith: ['add', 'default', 'superset_of', 'essential'],
    orderOfApplication: MetadataOrderOfApplication_1.MetadataOrderOfApplication.AfterOneOf,
    mergeStrategy: MetadataMergeStrategy_1.MetadataMergeStrategy.Intersection,
};
exports.subsetOfOperatorSchema = (0, utils_1.createPolicyOperatorSchema)(exports.subsetOfOperator);
//# sourceMappingURL=subsetOf.js.map