"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = void 0;
const OpenIdFederationError_1 = require("../error/OpenIdFederationError");
const validate = ({ schema, data, errorMessage, }) => {
    try {
        return schema.parse(data);
    }
    catch (e) {
        const error = OpenIdFederationError_1.OpenIdFederationError.fromZodError(e);
        error.message = errorMessage !== null && errorMessage !== void 0 ? errorMessage : error.message;
        throw error;
    }
};
exports.validate = validate;
//# sourceMappingURL=validate.js.map